package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.ClassGroupStudentStatusEnum;
import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门ID")
    private Integer organId;

    @ApiModelProperty(value = "乐团ID")
    private String musicGroupId;

    @ApiModelProperty(value = "状态（在读、请假、退学）",required = false)
    private ClassGroupStudentStatusEnum studentStatus;

    public ClassGroupStudentStatusEnum getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(ClassGroupStudentStatusEnum studentStatus) {
        this.studentStatus = studentStatus;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }
}
